NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.SketchMakeSymmetricBuilder Class Reference

This class is used to add symmetric contraint to objects from a NXOpen.SketchMakeSymmetricBuilder . More...

Inheritance diagram for NXOpen.SketchMakeSymmetricBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.SelectNXObject CenterLine [get]
 Returns the function returns the center line of a symmetric constraint. More...
 
unsafe bool ConvertToReference [get, set]
 Returns or sets the function returns the flag to indicate if the centerline needs to be converted to reference More...
 
unsafe NXOpen.SelectNXObject PrimaryObject [get]
 Returns the function returns the primary object of a symmetric constraint. More...
 
unsafe NXOpen.SelectNXObject SecondaryObject [get]
 Returns the function returns the secondary object of a symmetric constraint. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

This class is used to add symmetric contraint to objects from a NXOpen.SketchMakeSymmetricBuilder .

To create a new instance of this class, use NXOpen.SketchCollection.CreateMakeSymmetricBuilder

Default values.

Property Value

ConvertToReference

True

Created in NX7.5.0

Property Documentation

unsafe NXOpen.SelectNXObject NXOpen.SketchMakeSymmetricBuilder.CenterLine
get

Returns the function returns the center line of a symmetric constraint.

This must be a straight line, straight edge, datum axis or datum plane. If the centerline is line, edge or datum axis, it is not perpendicular to the sketch plane. If the centerline is datum plane, it is not parallel to the sketch plane. If an entity is selected that is not part of sketch, it will be projected on the sketch plane and the projection will be used as the center line.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.SketchMakeSymmetricBuilder.ConvertToReference
getset

Returns or sets the function returns the flag to indicate if the centerline needs to be converted to reference

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectNXObject NXOpen.SketchMakeSymmetricBuilder.PrimaryObject
get

Returns the function returns the primary object of a symmetric constraint.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.SketchMakeSymmetricBuilder.SecondaryObject
get

Returns the function returns the secondary object of a symmetric constraint.

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.